Skip to content

Delete VM

DELETE
/api/v1/vm/delete/{id}
curl --request DELETE \
--url 'https://console.cloudlogics.com/api/v1/vm/delete/30035038-738f-46b0-82b0-a634261b1bf4?delete_floating_ip=true' \
--header 'Authorization: <Authorization>'

Delete a virtual machine. Optionally delete the associated floating IP.

id
required
string

VM ID

delete_floating_ip
boolean
default: true

Also delete the floating IP

The instance is deleted. Any volumes it had are PRESERVED, and their ids are listed in preserved_volumes.

Media typeapplication/json
object
data
object
message
string
preserved_volumes

Volumes that outlived the instance. They still exist, and still cost money, until they are deleted separately.

Array<string>
Example
{
"data": {
"message": "instance deleted",
"preserved_volumes": [
"d12d0476-cb17-493a-91a4-ae7299f0142d"
]
}
}

Invalid state transition

Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{
"data": "example",
"error": {
"code": 1,
"message": "example"
},
"page": {
"next": "example",
"prev": "example",
"total_size": 1
}
}

Internal server error

Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{
"data": "example",
"error": {
"code": 1,
"message": "example"
},
"page": {
"next": "example",
"prev": "example",
"total_size": 1
}
}